/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.fit;

import java.io.Serializable;
import java.util.Calendar;
import java.util.List;

public class Fit implements Serializable, Comparable<Fit> {

	private static final long serialVersionUID = 1L;

	private long id;
	private Calendar sunTime;
	private Double speed;
	private Double speedError 	 = 0.0;
	private Double beta 		 = Double.NaN;
	private Double betaError 	 = 0.0;
	private Double longitude 	 = Double.NaN; //source HEEQ longitude
	private Double latitude 	 = Double.NaN; //source HEEQ latitude
	private Double southPa;
	private Double northPa;
	private Double centralPa = 90.0;
	private List<FitPoint> fitPoints;

	public Fit() {
		super();
	}

	@Override
	public int compareTo(Fit arg0) {
		return Double.compare(this.beta, arg0.getBeta());
	}

	public Calendar getSunTime() {
		return sunTime;
	}

	public void setSunTime(Calendar sunTime) {
		this.sunTime = sunTime;
	}

	public Double getBeta() {
		return beta;
	}

	public void setBeta(Double beta) {
		this.beta = beta;
	}

	public Double getSpeedError() {
		return speedError;
	}

	public void setSpeedError(Double speedError) {
		this.speedError = speedError;
	}

	public Double getSpeed() {
		return speed;
	}

	public void setSpeed(Double speed) {
		this.speed = speed;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public List<FitPoint> getFitPoints() {
		return fitPoints;
	}

	public void setFitPoints(List<FitPoint> fitPoints) {
		this.fitPoints = fitPoints;
	}

	public Double getBetaError() {
		return betaError;
	}

	public void setBetaError(Double betaError) {
		this.betaError = betaError;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Double getLatitude() {
		return latitude;
	}

	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}

	public Double getCentralPa() {
		return centralPa;
	}

	public void setCentralPa(Double centralPa) {
		this.centralPa = centralPa;
	}

	public Double getSouthPa() {
		return southPa;
	}

	public void setSouthPa(Double southPa) {
		this.southPa = southPa;
	}

	public Double getNorthPa() {
		return northPa;
	}

	public void setNorthPa(Double northPa) {
		this.northPa = northPa;
	}

}
